
.. _soclib_desc-proto:

Module protocols
================

.. module:: soclib_desc.module

This module contains the description of the APIs of modules referenced
in the :ref:`md-index`.

.. autoclass:: ModuleCommon
   :members:

.. autoclass:: ModuleInterface
   :members:

.. autoclass:: PortInterface
   :members:

.. autoclass:: SignalInterface
   :members:

Specialization protocols
========================

.. module:: soclib_desc.specialization

This module contains the description of the APIs of specialized
modules.

.. autoclass:: SpecializationInterface
   :members:

Component Builder protocol
==========================

.. module:: soclib_desc.component_builder

This module contains the description of the APIs of specialized
modules builders.

.. autoclass:: ComponentBuilderInterface
   :members:
